import { describe, expect, it } from '@jest/globals';
import { installQuasarPlugin } from '@quasar/quasar-app-extension-testing-unit-jest';
import { mount } from '@vue/test-utils';
import { i18n } from 'src/boot/i18n';
import UserPanel from '../UserPanel.vue';

// Specify here Quasar config you'll need to test your component
installQuasarPlugin();
const routerPushMock = jest.fn();

jest.mock('vue-router', () => ({
    useRouter: () => ({
        push: routerPushMock,
    }),
}));

describe('UserPanel', () => {
    it('should have the function logout defined', () => {
        const wrapper = mount(UserPanel, {
            global: {
                plugins: [i18n]
            }
        });
        const { vm } = wrapper;

        expect(vm.logout).toBeDefined();
    });
});
