import { RouteRecordRaw } from 'vue-router';

const routes: RouteRecordRaw[] = [
    {
        path: '/login',
        name: 'Login',
        meta: { title: 'logIn' },
        component: () => import('../pages/Login/Login.vue'),
    },
    {
        path: '/',
        name: 'Main',
        component: () => import('../layouts/Main.vue'),
        redirect: { name: 'Dashboard' },
        children: [
            {
                path: '/dashboard',
                name: 'Dashboard',
                meta: { title: 'dashboard' },
                component: () => import('../pages/Dashboard/Dashboard.vue'),
            },
            {
                path: '/customer',
                name: 'Customer',
                meta: { title: 'customers' },
                component: () => import('../pages/Customer/Customer.vue'),
                redirect: { name: 'List' },
                children: [
                    {
                        path: 'list',
                        name: 'List',
                        meta: { title: 'list' },
                        component: () => import('../pages/Customer/List.vue'),
                    },
                    {
                        path: ':id',
                        name: 'Card',
                        component: () => import('../pages/Customer/Card/Card.vue'),
                    },
                ],
            },
            {
                path: '/:pathMatch(.*)*',
                name: 'NotFound',
                component: () => import('../pages/NotFound.vue'),
            },
        ],
    },
];

export default routes;
